{% extends 'admin/_layout/layout_admin.html.twig' %}

{% block title %}Create a product {{ parent() }}{% endblock %}

{% block content %}

    <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
        <h1 class="h2">Create a product</h1>
    </div>

    {% embed 'admin/_component/flash.html.twig' %}{% endembed %}

    {{ form_start(createProductForm) }}
    {{ form_rest(createProductForm) }}
    <button type="submit" class="btn btn-primary">Create</button>
    {{ form_end(createProductForm) }}

    <h2 class="mt-5">Product List</h2>
    <div class="table-responsive">
        <table class="table table-striped table-sm">
            <thead>
            <tr>
                <th>#</th>
                <th>Name</th>
                <th>Description</th>
                <th>Type</th>
                <th>Created On</th>
            </tr>
            </thead>
            <tbody>

            {% for product in products %}
            <tr>
                <td>{{ product.productId }}</td>
                <td>{{ product.name }}</td>
                <td>{{ product.description }}</td>
                <td>{{ product.type }}</td>
                <td>{{ product.createdAt | date('d-m-Y H:i:s') }}</td>
            </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>

{% endblock %}
